com.io7m.jregions.core.parameterized.volumes

## Class PVolumeXYZSplitL<S,T extends PVolumeLType<S>>

- java.lang.Object
- - com.io7m.jregions.core.parameterized.volumes.PVolumeXYZSplitL<S,T>

- Type Parameters:
    `S` - A phantom type parameter indicating the coordinate space of the area
    `T` - The precise type of volume
  All Implemented Interfaces:
    PVolumeXYZSplitLType<S,T>

      @Generated(value={"Immutables.generator","PVolumeXYZSplitLType<S, T>"})
      public final class PVolumeXYZSplitL<S,T extends PVolumeLType<S>>
      extends Object
      implements PVolumeXYZSplitLType<S,T>

  A volume that has been split into octants via an X, Y, and Z axis.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `PVolumeXYZSplitL.Builder<S,T extends PVolumeLType<S>>` Builds instances of type `PVolumeXYZSplitL`.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <S,T extends PVolumeLType<S>> PVolumeXYZSplitL.Builder<S,T>` | `builder()` Creates a builder for `PVolumeXYZSplitL`.
    `boolean` | `equals(Object another)` This instance is equal to all instances of `PVolumeXYZSplitL` that have equal attribute values.
    `int` | `hashCode()` Computes a hash code from attributes: `x0y0z0`, `x1y0z0`, `x0y1z0`, `x1y1z0`, `x0y0z1`, `x1y0z1`, `x0y1z1`, `x1y1z1`.
    `static <S,T extends PVolumeLType<S>> PVolumeXYZSplitL<S,T>` | `of(T x0y0z0, T x1y0z0, T x0y1z0, T x1y1z0, T x0y0z1, T x1y0z1, T x0y1z1, T x1y1z1)` Construct a new immutable `PVolumeXYZSplitL` instance.
    `String` | `toString()` Prints the immutable value `PVolumeXYZSplitL` with attribute values.
    `T` | `x0y0z0()`
    `T` | `x0y0z1()`
    `T` | `x0y1z0()`
    `T` | `x0y1z1()`
    `T` | `x1y0z0()`
    `T` | `x1y0z1()`
    `T` | `x1y1z0()`
    `T` | `x1y1z1()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### x0y0z0

          public T x0y0z0()

      Specified by:
        `x0y0z0` in interface `PVolumeXYZSplitLType<S,T extends PVolumeLType<S>>`
      Returns:
        The minimum X, minimum Y, minimum Z octant

    - #### x1y0z0

          public T x1y0z0()

      Specified by:
        `x1y0z0` in interface `PVolumeXYZSplitLType<S,T extends PVolumeLType<S>>`
      Returns:
        The maximum X, minimum Y, minimum Z octant

    - #### x0y1z0

          public T x0y1z0()

      Specified by:
        `x0y1z0` in interface `PVolumeXYZSplitLType<S,T extends PVolumeLType<S>>`
      Returns:
        The minimum X, maximum Y, minimum Z octant

    - #### x1y1z0

          public T x1y1z0()

      Specified by:
        `x1y1z0` in interface `PVolumeXYZSplitLType<S,T extends PVolumeLType<S>>`
      Returns:
        The maximum X, maximum Y, minimum Z octant

    - #### x0y0z1

          public T x0y0z1()

      Specified by:
        `x0y0z1` in interface `PVolumeXYZSplitLType<S,T extends PVolumeLType<S>>`
      Returns:
        The minimum X, minimum Y, maximum Z octant

    - #### x1y0z1

          public T x1y0z1()

      Specified by:
        `x1y0z1` in interface `PVolumeXYZSplitLType<S,T extends PVolumeLType<S>>`
      Returns:
        The maximum X, minimum Y, maximum Z octant

    - #### x0y1z1

          public T x0y1z1()

      Specified by:
        `x0y1z1` in interface `PVolumeXYZSplitLType<S,T extends PVolumeLType<S>>`
      Returns:
        The minimum X, maximum Y, maximum Z octant

    - #### x1y1z1

          public T x1y1z1()

      Specified by:
        `x1y1z1` in interface `PVolumeXYZSplitLType<S,T extends PVolumeLType<S>>`
      Returns:
        The maximum X, maximum Y, maximum Z octant

    - #### equals

          public boolean equals(Object another)

      This instance is equal to all instances of `PVolumeXYZSplitL` that have equal attribute values.
      Overrides:
        `equals` in class `Object`
      Returns:
        `true` if `this` is equal to `another` instance

    - #### hashCode

          public int hashCode()

      Computes a hash code from attributes: `x0y0z0`, `x1y0z0`, `x0y1z0`, `x1y1z0`, `x0y0z1`, `x1y0z1`, `x0y1z1`, `x1y1z1`.
      Overrides:
        `hashCode` in class `Object`
      Returns:
        hashCode value

    - #### toString

          public String toString()

      Prints the immutable value `PVolumeXYZSplitL` with attribute values.
      Overrides:
        `toString` in class `Object`
      Returns:
        A string representation of the value

    - #### of

          public static <S,T extends PVolumeLType<S>> PVolumeXYZSplitL<S,T> of(T x0y0z0,
                                                                               T x1y0z0,
                                                                               T x0y1z0,
                                                                               T x1y1z0,
                                                                               T x0y0z1,
                                                                               T x1y0z1,
                                                                               T x0y1z1,
                                                                               T x1y1z1)

      Construct a new immutable `PVolumeXYZSplitL` instance.
      Parameters:
        `x0y0z0` - The value for the `x0y0z0` attribute
        `x1y0z0` - The value for the `x1y0z0` attribute
        `x0y1z0` - The value for the `x0y1z0` attribute
        `x1y1z0` - The value for the `x1y1z0` attribute
        `x0y0z1` - The value for the `x0y0z1` attribute
        `x1y0z1` - The value for the `x1y0z1` attribute
        `x0y1z1` - The value for the `x0y1z1` attribute
        `x1y1z1` - The value for the `x1y1z1` attribute
      Returns:
        An immutable PVolumeXYZSplitL instance

    - #### builder

          public static <S,T extends PVolumeLType<S>> PVolumeXYZSplitL.Builder<S,T> builder()

      Creates a builder for `PVolumeXYZSplitL`.
      Type Parameters:
        `S` - generic parameter S
        `T` - generic parameter T
      Returns:
        A new PVolumeXYZSplitL builder

Copyright © 2017 <code@io7m.com> http://io7m.com